Package Details: supertuxkart-git 20687+17942-1

Git Clone URL: https://aur.archlinux.org/supertuxkart-git.git (read-only)
Package Base: supertuxkart-git
Description: A kart racing game featuring Tux and his friends - development version
Upstream URL: http://supertuxkart.sourceforge.net/
Keywords: game
Licenses: cc-by-sa-3.0
Conflicts: supertuxkart
Replaces: supertuxkart-cmakesvn, supertuxkart-svn
Submitter: donny
Maintainer: donny
Last Packager: donny
Votes: 19
Popularity: 0.017540
First Submitted: 2014-01-20 07:32
Last Updated: 2019-01-12 21:13

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

x-f commented on 2014-04-20 21:04

Looks like some stuff is missing in package. It's a lot smaller and if you try to start you will get a few errors:

[warn ] [FileManager]: Directory 'challenges' not found, aborting.
[warn ] [FileManager]: Directory 'fonts' not found, aborting.
[warn ] [FileManager]: Directory 'gfx' not found, aborting.
[warn ] [FileManager]: Directory 'grandprix' not found, aborting.
[warn ] [FileManager]: Directory 'gui' not found, aborting.
[warn ] [FileManager]: Directory 'models' not found, aborting.
[warn ] [FileManager]: Directory 'music' not found, aborting.
[warn ] [FileManager]: Directory 'sfx' not found, aborting.
[warn ] [FileManager]: Directory 'shaders' not found, aborting.
[warn ] [FileManager]: Directory 'skins' not found, aborting.
[warn ] [FileManager]: Directory 'textures' not found, aborting.
[warn ] [FileManager]: Directory 'po' not found, aborting.
[fatal ] [FileManager]: Not all assets found - aborting.

donny commented on 2014-02-09 11:01

DO NOT USE THIS PACKAGE ANYMORE. PLEASE SWITCH TO https://aur.archlinux.org/packages/supertuxkart-git/

donny commented on 2014-02-09 11:00

The package cannot compile now. Arch Linux uses Mesa 10 which is temporarily incompatible with supertuxkart. STK developers are working on it. You can try the second git repository (pull-request with possible patch) that is commented out in the PKGBUILD. Then it does compile, but also there is second issue: installation doesn't work yet. The work on migrating supertuxkart project to git (and assets to svn) is still in progress, so please be patient.

donny commented on 2014-02-09 10:55

Package supertuxkart-git is replacement for out-of-date supertuxkart-svn. Please do not use the subversion package anymore.

donny commented on 2014-01-24 07:59

They will be, it's the same packages now, but the source is divided into one git repository and one svn repository. So maybe I'll create sth.like supertuxkart-dev package. But it will be as soon as I will be able to compile the source without errors.

carstene1ns commented on 2014-01-24 00:23

Should the packages be merged then (supertuxkart-svn → supertuxkart-git)?

donny commented on 2014-01-20 07:29

Thanks for messages, I'll update the package soon.

flu commented on 2014-01-18 18:37

They are moving to git apparently. A bit messy...
http://forum.freegamedev.net/viewtopic.php?f=17&t=5231

Ewald commented on 2014-01-09 21:28

There appears to be a missing depency to bluez-libs.

FWIW, It got this build error:

Linking CXX static library libbulletdynamics.a
[ 55%] Built target bulletdynamics
Scanning dependencies of target wiiuse
[ 55%] Building C object lib/wiiuse/CMakeFiles/wiiuse.dir/classic.c.o
In file included from /data/pkgbuilds/supertuxkart-svn/src/supertuxkart/lib/wiiuse/classic.h:37:0,
from /data/pkgbuilds/supertuxkart-svn/src/supertuxkart/lib/wiiuse/classic.c:34:
/data/pkgbuilds/supertuxkart-svn/src/supertuxkart/lib/wiiuse/wiiuse_internal.h:73:34: fatal error: bluetooth/bluetooth.h: No such file or directory
#include <bluetooth/bluetooth.h>
^

donny commented on 2013-10-13 11:01

PKGBUILD updated, but not tested with AMD proprietary driver. Hope it will work :) Thanks for your notice.